import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

public class HPT1_ implements PlugIn {

    public void run(String arg) {
        IJ.run("Size...", "new=700 new=673 constrain interpolate");
        IJ.run("8-bit");
        IJ.run("Flip Horizontally");
        IJ.run("Set Scale...", "distance=204 known=30 pixel=1 unit=cm");
        IJ.run("Threshold...");
        IJ.setThreshold(12, 118);
        IJ.run("Set Measurements...", "area centroid fit decimal=2");
        IJ.makeRectangle(37, 48, 599, 456);
        IJ.run("Analyze Particles...", "minimum=100 maximum=999999 bins=20 show=Outlines display clear");
    }

}
